Zapmail
latest
  • latest
  • v1
  1. mailbox
Zapmail
latest
  • latest
  • v1
  • Zapmail Docs
  • users
    • Retrieve User Details
      GET
  • workspaces
    • Retrieve all workspaces
      GET
    • Create new workspace
      POST
    • Update workspace
      PUT
    • List all workspace members
      GET
    • Update user role
      PUT
    • Revoke User Access
      DELETE
    • Send invitiation to join workspace
      POST
    • List all invitations
      GET
    • Revoke invitation
      DELETE
  • billing
    • Add Billing Details
      POST
    • Update Billing Details
      PUT
  • mailbox
    • Retrieve All Mailboxes
      GET
    • Get Mailbox Details by ID
      GET
    • Assign New Mailboxes to Domains
      POST
    • Update mailbox
      PUT
    • Remove mailboxes on next renewal
      PUT
    • Get Authenticator code
      GET
    • Remove Mailboxes Instantly
      POST
    • Custom OAuth
      POST
    • schedule mailbox creation
      POST
    • retry creation of failed mailboxes
      PUT
  • payments & wallet
    • Add balance to wallet
      POST
    • Get wallet balance
      GET
    • Enable auto recharge
      POST
    • Purchase add on mailboxes
      POST
    • get invoices for subscription
      POST
  • export
    • Export mailboxes
    • Add third party account details
    • Update third party account details
    • Get Export Status
  • subscriptions
    • Get all subscriptions
    • Cancel subscription
    • Upgrade existing subscription
    • Purchase subscription
    • Get Mailboxes in a Subscription
  • domains
    • Retrieve All Domains
    • List Assignable Domains
    • Add DMARC record
    • Add Domain forwarding
    • Get Name servers to connect domain
    • Verify Name Server Propagation
    • Connect Domain with Zapmail
    • Enable email forwarding
    • Remove email forwarding
    • Enable catch all emails
    • Remove catch all emails
    • Check DNS records
    • Remove unused domains
    • Get available domains for registration
    • Get domains purchase payment link
    • Get domain connection requests
    • Remove domain connection requests
    • Connect Domain with Zapmail (New)
    • Add Google Client ID to Domain
    • Get availability of multiple domain names.
    • Retrieve Domain Health Score
    • Retrieve All Domains (With filters)
    • AI Domain Finder
    • Move Domains Across workspace
    • Assign Domain Tag
    • list domain tags
    • Create Domain Tags
    • Remove Domain Forwarding
  • dns
    • Get dns records
    • Add dns records
    • Update dns records
    • Delete dns records
  • High Reputation Domains
    • Get available domains
    • Purchase high reputation domains
  • prewarmed domains
    • Get prewarmed domains
    • purchase prewarmed subscription
    • Assign prewarmed mailboxes
    • Get Available Domains Count
  • placement test
    • Get subscriptions
    • Get Overall Report
    • Get placement test orders
    • Get report by cart order id
    • Get Eligible Mailboxes for Placement Tests
    • Get Available Placement Test Credits
    • Purchase Placement Test
    • Purchase plan
    • Cancel Subscription
  • dns shield
    • Get eligible domains
    • Get available slots
    • Get subscriptions
    • Get Allocated Domains for Subscription
    • Allocate Domains to DNS Shield
    • Purchase DNS Shield
    • Upgrade DNS Shield LTD Plan
    • Cancel subscription
  • global
    • Global mailbox-domain search
  • zapbox
    • List Connected Accounts
    • Fetch emails
    • get emails from a thread
    • Search emails
    • Send Email
    • Download Attachment
    • Create New Label
    • Delete Label
    • Rename Label
  • Schemas
    • domain with filter
  1. mailbox

Get Authenticator code

GET
/v2/mailboxes/authenticator-code
This endpoint allows you to retrieve an authenticator code for a specific mailbox. The code can be used for authentication purposes and has a limited validity period.
Note
The expiresIn field in the response indicates the number of seconds after which the current code will expire.
After expiration, you must re-hit the API to obtain a new code, as the old one will no longer be valid.
domainId is optional and can only be used with Microsoft domains to fetch the OTP for the admin account of the given domain.

Request

Query Params

Header Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://api.zapmail.ai/api/v2/mailboxes/authenticator-code?mailboxId=&domainId' \
--header 'x-auth-zapmail;' \
--header 'x-workspace-key;' \
--header 'x-service-provider;'

Responses

🟢200Success
application/json
Body

Example
{
    "status": 200,
    "message": "Unique exports fetched successfully",
    "data": {
        "otp": "246043",
        "expiresIn": 4
    }
}
🟠400Domain id only for MS
🟠4002FA Not set
Modified at 2025-10-14 09:22:03
Previous
Remove mailboxes on next renewal
Next
Remove Mailboxes Instantly
Built with